'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactIntl = require('react-intl');

var _intl_helpers = require('../util/intl_helpers');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var styles = {
  groupText: {
    fontSize: '0.875em',
    color: 'rgba(0, 0, 0, 0.541176)'
  }
};

var FormattedFieldname = function FormattedFieldname(_ref) {
  var fieldname = _ref.fieldname;

  var parts = fieldname.split('.');
  if (parts.length === 1) return _react2.default.createElement(_reactIntl.FormattedMessage, (0, _intl_helpers.createMessage)('field_key')(fieldname));

  var groupText = parts.slice(0, -1);
  var fieldText = parts.slice(-1)[0];

  return _react2.default.createElement(
    'span',
    null,
    groupText.map(function (t, i) {
      return _react2.default.createElement(
        'span',
        { style: styles.groupText, key: i },
        _react2.default.createElement(_reactIntl.FormattedMessage, (0, _intl_helpers.createMessage)('field_key')(t)),
        ' / '
      );
    }),
    _react2.default.createElement(
      'span',
      { style: styles.fieldText },
      _react2.default.createElement(_reactIntl.FormattedMessage, (0, _intl_helpers.createMessage)('field_key')(fieldText))
    )
  );
};

exports.default = FormattedFieldname;